Skip to main content
POST
/
project_components
/
{id}
/
ghg_entry_attributions
Post Project Component Ghg Entry Attribution
curl --request POST \
  --url https://api.sandbox.isometric.com/mrv/v0/project_components/{id}/ghg_entry_attributions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-client-secret: <x-client-secret>' \
  --data '
{
  "attribution_factor": 0,
  "ghg_entry_id": "rmv_1EEM6NJXX1S0EXKD"
}
'
{
  "co2e_net_removed_kg": 123,
  "co2e_net_removed_standard_deviation_kg": 123,
  "co2e_net_removed_without_discount_kg": 123,
  "completed_on": "2023-12-25",
  "credit_allocation": {
    "buffer_pool_contribution_kg": 123,
    "supplier_allocation_kg": 123
  },
  "feedstock_type_id": "ftt_1D7KZ1P761S0G7BN",
  "ghg_statement_id": "ggs_1GDQJ99Z51S0DYW9",
  "id": "rmv_1EEM6NJXX1S0EXKD",
  "risk_of_reversal_percentage": 123,
  "started_on": "2023-12-25",
  "supplier_reference_id": "<string>"
}

Authorizations

Authorization
string
header
required

A JWT Bearer token header for authentication and authorization, in the format Authorization: Bearer <token>

Headers

x-client-secret
string
required

A secret token identifying the client connecting to the API

Example:

"Syou3EZiO5vuMEgNyBeA8cjEMYOnQDwP"

Path Parameters

id
string
required
Required string length: 20 - 37
Examples:

"cmp_1EP2SB7MZ1S036PY"

"cmp_1EHK4R6QJSBXFC5N"

Body

application/json
attribution_factor
number
required

A scalar between 0 and 1 for the fraction of the CO2e flux of the project component that is to be attributed to this GHG entry.

Required range: x <= 1
ghg_entry_id
string
required

ID of the GHG entry to attribute the project component to.

Required string length: 20 - 37
Examples:

"rmv_1EEM6NJXX1S0EXKD"

"rmv_1E3V4J2EWSBX5E82"

Response

Successful Response

co2e_net_removed_kg
number
required

The CO₂e removed by this GHG entry once uncertainty discounting has been applied

co2e_net_removed_standard_deviation_kg
number | null
required

The standard deviation of the CO₂e net removed and therefore the uncertainty discount applied to the GHG entry

co2e_net_removed_without_discount_kg
number
required

The CO₂e removed by this GHG entry before any uncertainty discounting has been applied

completed_on
string<date>
required
credit_allocation
CreditAllocation · object
required

The split of issuable credits between the supplier and buffer pool. Null when risk_of_reversal_percentage is not set.

credit_type
enum<string>
required
Available options:
REDUCTION,
REMOVAL
feedstock_type_id
string | null
required

The feedstock type ID that this entry is associated with.

Required string length: 20 - 37
Example:

"ftt_1D7KZ1P761S0G7BN"

ghg_statement_id
string | null
required

The GHG statement ID that this entry is associated with. If null, the entry is in draft and has not been submitted for verification.

Required string length: 20 - 37
Example:

"ggs_1GDQJ99Z51S0DYW9"

id
string
required
Required string length: 20 - 37
Examples:

"rmv_1EEM6NJXX1S0EXKD"

"rmv_1E3V4J2EWSBX5E82"

risk_of_reversal_percentage
number | null
required

The percentage of credits contributed to the buffer pool due to risk of reversal.

started_on
string<date>
required
supplier_reference_id
string | null
required

A string that must be unique for all resources created by a specific supplier. It can be used by a client to identify the correct objects in their system.

Required string length: 1 - 200